=== debian/changelog ===
zeromq (2.0.6beta.dfsg-2) unstable; urgency=low

  * Much improved descriptions (thanks to Martin Lucina)
  * Rename zeromq-utils to -bin to better reflect the nature of these files.

 -- Adrian von Bidder <cmot@debian.org>  Mon, 22 Mar 2010 07:05:29 +0100

zeromq (2.0.6beta.dfsg-1) unstable; urgency=low

  * New upstream version.
    - Source doesn't include non-C/C++ language bindings anymore.
    - New versioning: 2.0.6 is official upstream version which is a beta.
  * Repacked orig tar: removed non-free RFC documents (closes: #567513)
  * Improved/corrected description and copyright file, added bzip2 build
    dependency.  Thanks to feedback from zeromq mailing list.
  * Disable OpenPGM on non-x86 architectures (closes: #567848)

 -- Adrian von Bidder <cmot@debian.org>  Wed, 17 Mar 2010 10:43:40 +0100

zeromq (2.0~beta2-1) unstable; urgency=low

  * Initial package (closes: #566125)

 -- Adrian von Bidder <cmot@debian.org>  Tue, 26 Jan 2010 19:03:39 +0100
