=== debian/control ===
Source: zeromq
Section: libs
Priority: optional
Maintainer: Adrian von Bidder <cmot@debian.org>
Build-Depends: debhelper (>= 7), libglib2.0-dev [amd64 i386], python [amd64 i386], uuid-dev
Standards-Version: 3.8.3
Homepage: http://www.zeromq.org/
Vcs-Browser: https://fortytwo.ch/hg/pkg-zeromq
Vcs-Hg: https://fortytwo.ch/hg/pkg-zeromq

Package: libzmq0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: zeromq-bin
Description: The ZeroMQ messaging library
 The 0MQ lightweight messaging kernel is a library which extends the
 standard socket interfaces with features traditionally provided by
 specialised messaging middleware products. 0MQ sockets provide an
 abstraction of asynchronous message queues, multiple messaging
 patterns, message filtering (subscriptions), seamless access to
 multiple transport protocols and more.
 .
 This package contains the ZeroMQ shared library.

Package: zeromq-bin
Architecture: any
Section: utils
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: zeromq-utils (<= 2.0.6beta.dfsg-1)
Replaces: zeromq-utils (<= 2.0.6beta.dfsg-1)
Description: Utilities for ZeroMQ
 The 0MQ lightweight messaging kernel is a library which extends the
 standard socket interfaces with features traditionally provided by
 specialised messaging middleware products. 0MQ sockets provide an
 abstraction of asynchronous message queues, multiple messaging
 patterns, message filtering (subscriptions), seamless access to
 multiple transport protocols and more.
 .
 This package contains the ZeroMQ devices:
 .
 zmq_queue (Forwarder device for request-response messaging)
 zmq_forwarder (Forwarder device for publish-subscribe messaging)
 zmq_streamer (Streamer device for parallelized pipeline messaging)
 .
 These are building blocks intended to serve as intermediate nodes in
 complex messaging topologies.

Package: libzmq-dev
Architecture: any
Section: libdevel
Depends: libzmq0 (= ${binary:Version}), ${misc:Depends}
Description: Development files and static library for the ZeroMQ library
 The 0MQ lightweight messaging kernel is a library which extends the
 standard socket interfaces with features traditionally provided by
 specialised messaging middleware products. 0MQ sockets provide an
 abstraction of asynchronous message queues, multiple messaging
 patterns, message filtering (subscriptions), seamless access to
 multiple transport protocols and more.
 .
 This package contains ZeroMQ related development libraries and header files.

Package: libzmq-dbg
Architecture: any
Priority: extra
Section: debug
Depends: libzmq0 (= ${binary:Version}), ${misc:Depends}
Description: Debugging files for the ZeroMQ messaging library
 The 0MQ lightweight messaging kernel is a library which extends the
 standard socket interfaces with features traditionally provided by
 specialised messaging middleware products. 0MQ sockets provide an
 abstraction of asynchronous message queues, multiple messaging
 patterns, message filtering (subscriptions), seamless access to
 multiple transport protocols and more.
 .
 This package contains the debugging synmbols of the ZeroMQ library.
