=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifneq (,$(filter $(DEB_HOST_ARCH),i386 amd64))
    pgm_opt := --with-pgm
else
    pgm_opt :=
endif

configure: configure-stamp
configure-stamp:
	dh_testdir

	# hack: check that we're building from dsfg-free orig tarball
	if tar tzf foreign/openpgm/libpgm-*.tar.gz | grep -q rfc3208.txt;then \
	    echo "Remove RFC documents from orig tar."; \
	    exit 1; \
	fi

	./configure $(CROSS) \
	    --prefix=/usr \
	    $(pgm_opt) \
	    CFLAGS="$(CFLAGS)" \
	    LDFLAGS="-Wl,--as-needed -Wl,-z,defs" \

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir

	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	if [ -e Makefile ]; then make distclean; fi
	rm -rf foreign/openpgm/libpgm-2.0.20rc5 config.log

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install


binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install -X/usr/share/man --fail-missing
	dh_installman
	dh_installchangelogs
	dh_installdocs
	dh_lintian
	dh_link
	dh_strip --dbg-package=libzmq-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

# vim: set filetype=make


# build depends:
#  - python[-all]-dev
#  - ruby-dev
#    -> figure out ruby-headersdir option automatically
#  - openjdk-6-jdk (or whatever)
#    -> set JAVA_HOME automatically
#  - libglib2.0-dev
