## zeromq 2.0.10

=== openpgm/pgm/SConstruct ===
--- 
+++ 
@@ -107,6 +107,9 @@
 			'-D_REENTRANT',
 			'-D_GNU_SOURCE',
 			'-D__need_IOV_MAX',
+			'-DCONFIG_16BIT_CHECKSUM',
+			'-DCONFIG_HAVE_PROC',
+			'-DCONFIG_HAVE_BACKTRACE',
 			'-DCONFIG_HAVE_PSELECT',
 			'-DCONFIG_HAVE_POLL',
 			'-DCONFIG_HAVE_PPOLL',
