=== debian/changelog ===
zeromq (2.0.10-1build1) natty; urgency=low

  * No-change rebuild to pick up multiarch .la files

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 Apr 2011 11:11:41 -0700

zeromq (2.0.10-1) unstable; urgency=low

  * New upstream version.
  * Upstream now uses DFSG-clean OpenPGM tarball, so dropping .dfsg from 
    the Debian version.

 -- Martin Lucina <mato@kotelna.sk>  Thu, 21 Oct 2010 16:21:20 +0200

zeromq (2.0.9.dfsg-1) unstable; urgency=medium

  * New upstream version. 
  * Move all manpages in libzmq0 to zeromq-dev package (closes: #595890) 
  * Updated to standards version 3.9.1.
  * Add lintian-overrides for spelling-error-in-copyright due to error in
    upstream license of xmlParser.
  * Use Breaks: instead of Conflicts: in zeromq-bin package, fixes 
    conflicts-with-version from lintian.
  * Various other minor fixes for warnings from lintian.

 -- Martin Lucina <mato@kotelna.sk>  Wed, 08 Sep 2010 15:25:45 +0200

zeromq (2.0.7.dfsg-1) unstable; urgency=low

  * New upstream version.
  * Reformatted package description, thanks to Rhonda (closes: #577549)
  * Added AUTHORS, NEWS and README to installed documentation.
  * New maintainer (closes: #587505)

 -- Martin Lucina <mato@kotelna.sk>  Wed, 30 Jun 2010 12:31:08 +0200
