=== debian/control ===
--- 
+++ 
@@ -1,16 +1,13 @@
 Source: zeromq
 Section: libs
 Priority: optional
-Maintainer: Adrian von Bidder <cmot@debian.org>
+Maintainer: Martin Lucina <mato@kotelna.sk>
 Build-Depends: debhelper (>= 7), libglib2.0-dev [amd64 i386], python [amd64 i386], uuid-dev
-Standards-Version: 3.8.3
+Standards-Version: 3.9.1
 Homepage: http://www.zeromq.org/
-Vcs-Browser: https://fortytwo.ch/hg/pkg-zeromq
-Vcs-Hg: https://fortytwo.ch/hg/pkg-zeromq
 
 Package: libzmq0
 Architecture: any
-Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: zeromq-bin
 Description: The ZeroMQ messaging library
@@ -27,7 +24,7 @@
 Architecture: any
 Section: utils
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: zeromq-utils (<= 2.0.6beta.dfsg-1)
+Breaks: zeromq-utils (<= 2.0.6beta.dfsg-1)
 Replaces: zeromq-utils (<= 2.0.6beta.dfsg-1)
 Description: Utilities for ZeroMQ
  The 0MQ lightweight messaging kernel is a library which extends the
@@ -39,9 +36,9 @@
  .
  This package contains the ZeroMQ devices:
  .
- zmq_queue (Forwarder device for request-response messaging)
- zmq_forwarder (Forwarder device for publish-subscribe messaging)
- zmq_streamer (Streamer device for parallelized pipeline messaging)
+  * zmq_queue (Forwarder device for request-response messaging)
+  * zmq_forwarder (Forwarder device for publish-subscribe messaging)
+  * zmq_streamer (Streamer device for parallelized pipeline messaging)
  .
  These are building blocks intended to serve as intermediate nodes in
  complex messaging topologies.
