=== debian/rules ===
--- 
+++ 
@@ -10,15 +10,15 @@
     pgm_opt :=
 endif
 
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+    MAKEFLAGS += -j$(NUMJOBS)
+endif
+
+
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-
-	# hack: check that we're building from dsfg-free orig tarball
-	if tar tzf foreign/openpgm/libpgm-*.tar.gz | grep -q rfc3208.txt;then \
-	    echo "Remove RFC documents from orig tar."; \
-	    exit 1; \
-	fi
 
 	./configure $(CROSS) \
 	    --prefix=/usr \
@@ -33,7 +33,7 @@
 build-stamp: configure-stamp
 	dh_testdir
 
-	$(MAKE)
+	$(MAKE) $(MAKEFLAGS)
 
 	touch $@
