## zeromq 2.1.7

=== debian/changelog ===
zeromq (2.1.7-1~natty1) natty-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Evan Broder <evan@ebroder.net>  Fri, 12 Aug 2011 11:51:50 +0000

zeromq (2.1.7-1) unstable; urgency=low

  * New upstream version. (closes: #619374)
  * --with-system-pgm is now used instead of the embedded OpenPGM library. 
  * Added Debian watch file.

 -- Martin Lucina <mato@kotelna.sk>  Fri, 13 May 2011 12:43:09 +0200

zeromq (2.1.4-1) experimental; urgency=low

  * New upstream version.
  * OpenPGM re-enabled for amd64 and i386, still using embedded library.

 -- Martin Lucina <mato@kotelna.sk>  Thu, 07 Apr 2011 15:37:46 +0200

zeromq (2.1.3-1) experimental; urgency=low

  * New upstream version.
  * The zeromq-bin package has been removed, as upstream has removed the
    devices.
  * Temporarily disabled OpenPGM builds on i386 and amd64 due to changes in
    upstream OpenPGM intergration. 

 -- Martin Lucina <mato@kotelna.sk>  Mon, 28 Mar 2011 10:39:51 +0200
