=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,6 @@
 #!/usr/bin/make -f
 
 #export DH_VERBOSE=1
-
-DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
-
-ifneq (,$(filter $(DEB_HOST_ARCH),i386 amd64))
-    pgm_opt := --with-pgm
-else
-    pgm_opt :=
-endif
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
     NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -22,7 +14,7 @@
 
 	./configure $(CROSS) \
 	    --prefix=/usr \
-	    $(pgm_opt) \
+	    --with-system-pgm \
 	    CFLAGS="$(CFLAGS)" \
 	    LDFLAGS="-Wl,--as-needed -Wl,-z,defs" \
 
@@ -43,7 +35,6 @@
 	rm -f build-stamp configure-stamp
 
 	if [ -e Makefile ]; then make distclean; fi
-	rm -rf foreign/openpgm/libpgm-2.0.20rc5 config.log
 
 	dh_clean
 
@@ -81,12 +72,3 @@
 .PHONY: build clean binary-indep binary-arch binary install configure
 
 # vim: set filetype=make
-
-
-# build depends:
-#  - python[-all]-dev
-#  - ruby-dev
-#    -> figure out ruby-headersdir option automatically
-#  - openjdk-6-jdk (or whatever)
-#    -> set JAVA_HOME automatically
-#  - libglib2.0-dev
