## zeromq 2.1.9

=== debian/changelog ===
zeromq (2.1.9-1) unstable; urgency=low

  * New upstream version. 

 -- Martin Lucina <mato@kotelna.sk>  Thu, 08 Sep 2011 16:38:46 +0200
