=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,9 @@
 
 	touch configure-stamp
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 
 build-stamp: configure-stamp
 	dh_testdir
@@ -50,6 +52,7 @@
 binary-indep: build install
 
 binary-arch: build install
+	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`
 	dh_testdir
 	dh_testroot
 	dh_install -X/usr/share/man --fail-missing
