=== debian/watch ===
version=3
http://download.zeromq.org/zeromq-(.*)\.tar\.gz
