## zeromq 2.1.10

=== debian/changelog ===
zeromq (2.1.10-1) unstable; urgency=low

  * New upstream version. 

 -- Martin Lucina <mato@kotelna.sk>  Mon, 03 Oct 2011 17:09:06 +0200
