## zeromq 2.1.11

=== debian/changelog ===
zeromq (2.1.11-1ubuntu1) precise; urgency=low

  * Merge with debian unstable (LP: #925649). Remaining changes
    - sock_cloexec-runtime-check.patch: (LP: #910757)
      check at runtime for SOCK_CLOEXEC support in kernel
      allows using testsuite on builders running 2.6.24

 -- Julian Taylor <jtaylor@ubuntu.com>  Sun, 19 Feb 2012 15:40:32 +0100

zeromq (2.1.11-1) unstable; urgency=low

  * [4016b65] Imported Upstream version 2.1.11
  * [eaa74d0] Maintainer e-mail address changed
  * [9943256] Run testsuite during build (Closes: #655620)
  * [5ea0ff8] Remove unneeded libzmq.la from libzmq-dev (Closes: #633292)

 -- Martin Lucina <martin@lucina.net>  Mon, 23 Jan 2012 11:14:23 +0100

zeromq (2.1.10-1ubuntu1) precise; urgency=low

  * sock_cloexec-runtime-check.patch: (LP: #910757)
    check at runtime for SOCK_CLOEXEC support in kernel
    allows using testsuite on builders running 2.6.24

 -- Julian Taylor <jtaylor@ubuntu.com>  Thu, 19 Jan 2012 18:43:25 +0100
