=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: zeromq
 Section: libs
 Priority: optional
-Maintainer: Martin Lucina <mato@kotelna.sk>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Martin Lucina <mato@kotelna.sk>
 Build-Depends: debhelper (>= 7), uuid-dev, libpgm-dev, pkg-config
 Standards-Version: 3.9.2
 Homepage: http://www.zeromq.org/
