=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,10 @@
 
 	$(MAKE) $(MAKEFLAGS)
 
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	$(MAKE) check
+endif
+
 	touch $@
 
 clean:
@@ -52,10 +56,9 @@
 binary-indep: build install
 
 binary-arch: build install
-	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`
 	dh_testdir
 	dh_testroot
-	dh_install -X/usr/share/man --fail-missing
+	dh_install -X/usr/share/man -X/usr/lib/libzmq.la --fail-missing
 	dh_installman
 	dh_installchangelogs
 	dh_installdocs
