## zeromq 2.2.0%2Bdfsg

=== debian/changelog ===
zeromq (2.2.0+dfsg-7) unstable; urgency=low

  * Build with OpenPGM 5.2 version.
  * Update copyright file.
  * Update Standards-Version to 3.9.7 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 21 Feb 2016 08:47:12 +0100

zeromq (2.2.0+dfsg-6) unstable; urgency=low

  * Make test failures non-fatal on kfreebsd-* .
  * New maintainer (closes: #741745).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 20 Mar 2014 23:22:55 +0100

zeromq (2.2.0+dfsg-5) unstable; urgency=medium

  * Bump Standards-Version to 3.9.5 (no changes needed)
  * Use dh-autoreconf instead of autotools-dev (Closes: #735094)
  * Make Vcs-* fields canonical

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 12 Jan 2014 19:13:20 +0100

zeromq (2.2.0+dfsg-4) unstable; urgency=low

  * Also add 02_check-for-SO_NOSIGPIPE.patch for kfreebsd FTBFS

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 17 May 2013 19:33:11 +0200

zeromq (2.2.0+dfsg-3) unstable; urgency=low

  * Use repack.{local,stub} instead of get-orig-source rule
  * Bump Standards-Version to 3.9.4 (no changes needed)
  * Fix typo in libzmq-dbg description (Closes: #696744)
  * Add 01_fix-kfreebsd-build.patch to fix FTBFS on kfreebsd (Closes: #637777)

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 17 May 2013 18:06:40 +0200

zeromq (2.2.0+dfsg-2) unstable; urgency=low

  * Make -dev package Multi-Arch: same too (Closes: #674601)

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 03 Jun 2012 13:29:40 +0200

zeromq (2.2.0+dfsg-1) unstable; urgency=low

  * New maintainer (Closes: #673619)
  * Repack upstream tarball to remove bundled openpgm tarball and xmlParser
    - Mangle dversion in watch file
  * Switch to short-form dh rules file
    - Use autotools-dev plugin
  * Bump debhelper compat level to 9
  * Update copyright file using Copyright-Format 1.0
  * Remove source options
  * Remove unused lintian overrides
  * Add Multi-Arch headers
    - Fix *.install files to use multi-arch paths
  * Vcs-* tags point to collab-maint repository
  * Fix short and long descriptions formatting
  * Ignore beta 3.x releases in watch file
  * Remove outdated and uselss README.Debian

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 22 May 2012 22:24:49 +0200

zeromq (2.2.0-1) unstable; urgency=low

  * [5661946] Imported Upstream version 2.2.0 (Closes: #672427)
  * [bbf467d] Bump Standards-Version to 3.9.3 with no changes
  * [0da0708] Add Vcs-Git and Vcs-Browser to debian/control

 -- Martin Lucina <martin@lucina.net>  Sun, 20 May 2012 11:27:32 +0200
