=== debian/watch ===
version=3

options=dversionmangle=s/\+dfsg// \
http://download.zeromq.org/zeromq-(2.*)\.tar\.gz
