## zeromq 4.3.5+git20260123

=== debian/changelog ===
zeromq (4.3.5+git20260123-0) UNRELEASED; urgency=low

  * Initial packaging.

 -- libzmq Developers <zeromq-dev@lists.zeromq.org>  Wed, 31 Dec 2014 00:00:00 +0000
